@import "../styleVariables.scss";

.container {
    display: grid;
  
    grid-template-areas:
      "header header"
      "nav content ";
  
    grid-template-columns: 20% 79.2% ;
    grid-template-rows: 10% 90%;
    grid-gap: 3px;
  
    height: 97vh;
  }

  header, nav, main, aside, footer{
    background-color: $color-background;
    border-style: solid;
    border-color: $color-border;
    margin: 0.2rem;
    border-radius: 7px;
  }

  header {
    grid-area: header;
    margin-left: 0.6rem;
    margin-top: 0.6rem;
  }
  
  nav {
    grid-area: nav;
    margin-left: 0.6rem;
  }
  
  main {
    grid-area: content;
  }
  
  aside {
    grid-area: side;
  }
  
  footer {
    grid-area: footer;
  }

  @media (max-width: 768px) {
    .container {
      grid-template-areas:
        "header"
        "nav"
        "content";
  
      grid-template-columns: 1fr;
      grid-template-rows:
        auto /* Header */
        minmax(75px, auto) /* Nav */
        1fr /* Content */
        minmax(75px, auto) /* Sidebar */
        auto; /* Footer */
    }
  }

